Page MenuHomePhabricator

Add IPv6 addresses for kafka-jumbo hosts
Closed, ResolvedPublic3 Estimated Story Points

Description

Faidon says this should be done for all newer hosts. Easy to do.

Event Timeline

Ottomata triaged this task as Medium priority.Jan 18 2018, 9:58 PM
Ottomata created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2018, 9:58 PM

Change 405891 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Add IPv6 to Kafka Jumbo brokers

https://gerrit.wikimedia.org/r/405891

Change 408795 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::kafka::jumbo::broker: add static IPV6 mapped addrs

https://gerrit.wikimedia.org/r/408795

Change 408801 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] Add v6 DNS for kafka-jumbo10*

https://gerrit.wikimedia.org/r/408801

Change 408795 merged by Elukey:
[operations/puppet@production] role::kafka::jumbo::broker: add static IPV6 mapped addrs

https://gerrit.wikimedia.org/r/408795

elukey added a comment.Feb 7 2018, 2:05 PM

Looks good!

elukey@neodymium:~$ sudo cumin 'kafka-jumbo100*' 'ip addr | grep inet6'
6 hosts will be targeted:
kafka-jumbo[1001-1006].eqiad.wmnet
Confirm to continue [y/n]? y
===== NODE GROUP =====
(1) kafka-jumbo1003.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:102:10:64:16:99/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefc:ccbc/64 scope link
===== NODE GROUP =====
(1) kafka-jumbo1005.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:103:10:64:32:160/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefc:d59c/64 scope link
===== NODE GROUP =====
(1) kafka-jumbo1006.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:107:10:64:48:117/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefc:d27c/64 scope link
===== NODE GROUP =====
(1) kafka-jumbo1001.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:101:10:64:0:175/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefc:d530/64 scope link
===== NODE GROUP =====
(1) kafka-jumbo1002.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:101:10:64:0:176/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefc:c8f8/64 scope link
===== NODE GROUP =====
(1) kafka-jumbo1004.eqiad.wmnet
----- OUTPUT of 'ip addr | grep inet6' -----
    inet6 ::1/128 scope host
    inet6 2620:0:861:103:10:64:32:159/64 scope global mngtmpaddr dynamic
    inet6 fe80::1a66:daff:fefb:5e68/64 scope link
elukey claimed this task.Feb 7 2018, 2:05 PM

Change 408801 merged by Elukey:
[operations/dns@master] Add v6 DNS for kafka-jumbo10*

https://gerrit.wikimedia.org/r/408801

elukey moved this task from In Progress to Done on the Analytics-Kanban board.Feb 7 2018, 2:20 PM

Change 405891 abandoned by Ottomata:
Add IPv6 to Kafka Jumbo brokers

https://gerrit.wikimedia.org/r/405891

Nuria closed this task as Resolved.Feb 12 2018, 3:57 PM